diff -ru --new-file util-linux-2.11y/mount/Makefile util-linux-AES/mount/Makefile
--- util-linux-2.11y/mount/Makefile	Tue Nov 26 10:15:57 2002
+++ util-linux-AES/mount/Makefile	Thu Feb  6 23:31:03 2003
@@ -24,7 +24,6 @@
 
 MAYBE = pivot_root swapoff
 
-LO_OBJS = lomount.o $(LIB)/xstrncpy.o
 NFS_OBJS = nfsmount.o nfsmount_xdr.o nfsmount_clnt.o
 GEN_FILES = nfsmount.h nfsmount_xdr.c nfsmount_clnt.c
 
@@ -44,22 +43,30 @@
 
 mount: mount.o fstab.o sundries.o realpath.o mntent.o version.o \
        mount_guess_fstype.o get_label_uuid.o mount_by_label.o getusername.o \
-       $(LIB)/setproctitle.o $(LIB)/env.o $(NFS_OBJS) $(LO_OBJS)
+       $(LIB)/setproctitle.o $(LIB)/env.o $(NFS_OBJS) lomount.o loumount.o \
+       sha512.o rmd160.o aes.o $(LIB)/xstrncpy.o
+
 	$(LINK) $^ -o $@
 
 umount: umount.o fstab.o sundries.o realpath.o mntent.o getusername.o \
-	get_label_uuid.o version.o $(LIB)/env.o $(LO_OBJS)
+	get_label_uuid.o version.o $(LIB)/env.o loumount.o
 	$(LINK) $^ -o $@
 
-swapon:	swapon.o version.o
+swapon:	swapon.o version.o sha512.o
 	$(LINK) $^ -o $@
 
 main_losetup.o: lomount.c
 	$(COMPILE) -DMAIN lomount.c -o $@
 
-losetup: main_losetup.o $(LIB)/xstrncpy.o
+losetup: main_losetup.o loumount.o $(LIB)/xstrncpy.o sha512.o rmd160.o aes.o
 	$(LINK) $^ -o $@
 
+aes.o lomount.o main_losetup.o: aes.h
+
+rmd160.o lomount.o main_losetup.o: rmd160.h
+
+sha512.o lomount.o main_losetup.o: sha512.h
+
 mount.o umount.o nfsmount.o losetup.o fstab.o realpath.o sundries.o: sundries.h
 
 mount.o umount.o fstab.o sundries.o: fstab.h
@@ -72,9 +79,9 @@
 
 mount.o umount.o getusername.o: getusername.h
 
-mount.o umount.o losetup.o lomount.o: lomount.h loop.h
+mount.o umount.o losetup.o lomount.o loumount.o: lomount.h loop.h
 
-swapon.o: swap_constants.h swapargs.h
+swapon.o: swap_constants.h swapargs.h loop.h
 
 sundries.o nfsmount.o nfsmount_xdr.o nfsmount_clnt.o: nfsmount.h
 
